net.sf.jasperreports.components.barbecue

## Class BarbecueRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.components.barbecue.BarbecueRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable

      public class BarbecueRenderer
      extends JRAbstractSvgRenderer

  Version:
    $Id: BarbecueRenderer.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarbecueRenderer(net.sourceforge.barbecue.Barcode barcode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Dimension2D` | `getDimension()` Deprecated. Replaced by `getDimension(JasperReportsContext)`.
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`
    `void` | `setRotation(RotationEnum rotation)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `createGraphics, getBackcolor, getImageData, getImageData, getImageDataDPI, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarbecueRenderer

          public BarbecueRenderer(net.sourceforge.barbecue.Barcode barcode)

  - ### Method Detail

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)

      Specified by:
        `getDimension` in interface `Renderable`
      Overrides:
        `getDimension` in class `JRAbstractSvgRenderer`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension()

      Deprecated. Replaced by `getDimension(JasperReportsContext)`.
      Specified by:
        `getDimension` in interface `JRRenderable`
      Overrides:
        `getDimension` in class `JRAbstractSvgRenderer`

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Specified by:
        `render` in interface `Renderable`
      Overrides:
        `render` in class `JRAbstractRenderer`

    - #### setRotation

          public void setRotation(RotationEnum rotation)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com